Loading...
Searching...
No Matches
rapidjson::FileWriteStream Class Reference

Wrapper of C file stream for input using fread(). More...

`#include <filewritestream.h>`

## Public Types

typedef char | Ch
| Character type. Only support char.

## Public Member Functions

| FileWriteStream (std::FILE *fp, char *buffer, size_t bufferSize)
void | Put (char c)
void | PutN (char c, size_t n)
void | Flush ()
char | Peek () const
char | Take ()
size_t | Tell () const
char * | PutBegin ()
size_t | PutEnd (char *)

## Detailed Description

Wrapper of C file stream for input using fread().

Note
  implements Stream concept

The documentation for this class was generated from the following file:

- include/rapidjson/filewritestream.h